<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main_nav_graph"
    app:startDestination="@id/newsFragment">

    <fragment
        tools:layout="@layout/fragment_videos"
        android:id="@+id/newsFragment"
        android:name="com.milimarty.vimeo.areas.videoslist.VideosFragment"
        android:label="VideosFragment">
        <action
            android:id="@+id/action_videosFragment_to_videoDetailsFragment"
            app:destination="@id/newsDetailsFragment"
            app:enterAnim="@android:anim/fade_in"
            app:exitAnim="@android:anim/fade_out"
            app:popEnterAnim="@android:anim/fade_in"
            app:popExitAnim="@android:anim/fade_out" />

    </fragment>
    <fragment
        tools:layout="@layout/fragment_video_details"
        android:id="@+id/newsDetailsFragment"
        android:name="com.milimarty.vimeo.areas.videodetails.VideoDetailsFragment"
        android:label="NewsDetailsFragment">
        <argument
            android:name="videoDetails"
            app:argType="com.milimarty.vimeo.areas.videoslist.model.VideoItemModel$VideoDetails" />
        <action
            android:id="@+id/action_newsDetailsFragment_to_videoWatchingFragment"
            app:destination="@id/videoWatchingFragment" />
    </fragment>
    <fragment
        tools:layout="@layout/fragment_video_player"
        android:id="@+id/videoWatchingFragment"
        android:name="com.milimarty.vimeo.areas.videoplayer.VideoPlayerFragment"
        android:label="VideoWatchingFragment" >
        <argument
            android:name="videoUrl"
            app:argType="string"
            app:nullable="true" />
    </fragment>
</navigation>